package com.example.vahid.myapplication;

import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.Color;
import android.os.Build;
import android.support.v4.app.NotificationCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    MySQLiteDataBase db;
    TextView txt1;
    NotificationManager mNotifyManager;
    NotificationChannel notificationChannel;
    String CHANNEL_ID="MyChannel";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        db=new MySQLiteDataBase(this);
        txt1=findViewById(R.id.text1);

        mNotifyManager = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            notificationChannel =  new NotificationChannel(CHANNEL_ID, "Mascot Notification", NotificationManager.IMPORTANCE_DEFAULT);
            notificationChannel.enableLights(true);
            notificationChannel.setLightColor(Color.RED);
            notificationChannel.enableVibration(true);
            notificationChannel.setDescription("Notification from Mascot");
            mNotifyManager.createNotificationChannel(notificationChannel);
        }

    }

    public void add(View v){
        db.add("Door","kapi");
    }
    public void remove(View v){
        db.clear(2);
    }
    public void get(View v){
        txt1.setText(db.get(3));
    }
    public void list(View v){
            txt1.setText(db.list());
    }

    public void Notify(View v){
        Intent notificationIntent =  new Intent(this, MainActivity.class);
        PendingIntent notificationPendingIntent =
                PendingIntent.getActivity(this,1,notificationIntent, PendingIntent.FLAG_UPDATE_CURRENT);

        NotificationCompat.Builder mBuilder =  new NotificationCompat.Builder(this, CHANNEL_ID)
          .setSmallIcon(R.mipmap.ic_launcher)
                .setContentTitle("You've been notified!")
                .setContentText("This is your notification text.")
                .setContentIntent(notificationPendingIntent)
                .addAction(R.mipmap.ic_launcher, "Show APP",notificationPendingIntent);




        mNotifyManager.notify(1, mBuilder.build());

    }
}
